(* un sous-ensemble des instructions de la JVM *)
type instr = Nop
             | Goto of string
	     | Bipush of int
	     | Sipush of int
	     | Ldc of int
	     | Iconst_m1
	     | Iconst_0
	     | Iconst_1
	     | Iconst_2
	     | Iconst_3
	     | Iconst_4
	     | Iconst_5
	     | Iadd
	     | If_icmpeq of string
	     
(* une instruction avec label ou pas *)
type instrlabel = (string option) * instr

